<template>
  <div id="app">
    <b-container>
      <TextInput @btn-click="addText" class="row mt-4" />
      <br/>
      <ListView :currentIndex="currentIndex" :nextIndex="nextIndex" :data="texts" class="row" @remove="removeEntry" />
      <br/>
      <TextRunner @next-index="handleNextIndex" :texts="texts" />
    </b-container>
  </div>
</template>

<script>
import TextInput from "./components/TextInput"
import ListView from "./components/ListView"
import TextRunner from "./components/TextRunner"

export default {
  name: 'App',
  components: {
    TextInput,
    ListView,
    TextRunner
  },
  data: function(){
    return {
      texts: [],
      currentIndex: -1,
      nextIndex: -1
    }
  },
  methods: {
    addText(input){
      this.texts.push(input)
      console.info(input)
    },
    removeEntry(entryId){
      this.texts.splice(entryId, 1);
    },
    handleNextIndex(nextIndex){
      this.currentIndex = this.nextIndex
      this.nextIndex = nextIndex
    }
  }
}
</script>

